Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.util
Class UserMsg

    java.lang.Object
      org.crosswire.common.util.MsgBase
          org.crosswire.common.util.UserMsg

    final class UserMsg

extends MsgBase

Compile safe Msg resource settings.

Author:
  Joe Walker [joe at eireneh dot com], DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details.
  The copyright to this program is held by it's authors.`

Field Summary
`(package private) static UserMsg` | `CREATE_DIR_FAIL`
`(package private) static UserMsg` | `CREATE_FILE_FAIL`
`(package private) static UserMsg` | `IS_DIR`
`(package private) static UserMsg` | `IS_FILE`
`(package private) static UserMsg` | `MISSING_FILE`
`(package private) static UserMsg` | `NOT_DIR`
`(package private) static UserMsg` | `NOT_FILE_URI`
`(package private) static UserMsg` | `REASON`
`(package private) static UserMsg` | `UNEXPECTED_ERROR`

Constructor Summary
`private` | `UserMsg(String name)` Passthrough ctor

Method Summary

Methods inherited from class org.crosswire.common.util.MsgBase
`loadResources, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REASON

    static final UserMsg REASON

### CREATE_DIR_FAIL

    static final UserMsg CREATE_DIR_FAIL

### CREATE_FILE_FAIL

    static final UserMsg CREATE_FILE_FAIL

### IS_DIR

    static final UserMsg IS_DIR

### IS_FILE

    static final UserMsg IS_FILE

### NOT_DIR

    static final UserMsg NOT_DIR

### NOT_FILE_URI

    static final UserMsg NOT_FILE_URI

### MISSING_FILE

    static final UserMsg MISSING_FILE

### UNEXPECTED_ERROR

    static final UserMsg UNEXPECTED_ERROR

Constructor Detail

### UserMsg

    private UserMsg(String name)

  Passthrough ctor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD